Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.common
Class GetSessionWASHandler

    java.lang.Object
      org.deegree.ogcwebservices.wass.common.GetSessionWASHandler

All Implemented Interfaces:
  GetSessionHandler

    public class GetSessionWASHandler

extends Object
implements GetSessionHandler

GetSession handler that handles the password method using a remote WAS.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $

Constructor Summary
`GetSessionWASHandler(OnlineResource address, int sessionLifetime)` Creates new instance using a wass SecurityAccessManager instance to create and instantiate the deegree SecurityAccessManager.

Method Summary
`String` | `handleRequest(GetSession request)` Handles only requests with password authentication method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetSessionWASHandler

    public GetSessionWASHandler(OnlineResource address,
                                int sessionLifetime)
                         throws GeneralSecurityException

  Creates new instance using a wass SecurityAccessManager instance to create and instantiate the deegree SecurityAccessManager.

  Parameters:
    `address` -
    `sessionLifetime` -
  Throws:
    `GeneralSecurityException`

Method Detail

### handleRequest

    public String handleRequest(GetSession request)
                         throws SessionStatusException,
                                GeneralSecurityException

  Handles only requests with password authentication method.

  Specified by:
    `handleRequest` in interface `GetSessionHandler`
  Parameters:
    `request` - the request on which to base the authentication
  Returns:
    a string with a session ID or null, if the method of the request is not password
  Throws:
    `SessionStatusException`
    `GeneralSecurityException`
  See Also:
    `GetSessionHandler.handleRequest(org.deegree.ogcwebservices.wass.common.GetSession)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org